import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
//import App from './App';
class Menu extends React.Component {
  render() {
    return (
      <ul className="menu">
      <li>Home</li>
      <li>About</li>
      <li>Sensor</li>
      </ul>
    );
  }
}
class UrlInput extends React.Component {
  render() {
    return (
      <input className="urlinput">
        {/* TODO */}
      </input>
    );
  }
}

class ActualData extends React.Component {
  render() {
    return (
      <h3 className="actualdata">
        {this.props.actual}
      </h3>
    );
  }
}
class History extends React.Component {
  render() {
    //let tab = new Array(10).fill(null)
    //tab = tab.map(()=>(<li>{this.props.num}</li>))
    let tab = [];
    for(let i = 0; i < 10; i ++){
      tab.push(<li key={i}>{this.props.num}</li>)
    }

    console.log(tab)
    return (
      <ul className="history">
        {tab}
      </ul>
    );
  }
}
class MinValue extends React.Component {
  render() {
    return (
      <h4 className="minvalue">
        {this.props.min}
      </h4>

    );
  }
}
class MaxValue extends React.Component {
  render() {
    return (
      <h4 className="maxvalue">
        {this.props.max}
      </h4>
    );
  }
}
class AverageTen extends React.Component {
  render() {
    return (
      <h5 className="averageten">

          {this.props.avg}

      </h5>
    );
  }
}
class MainSensor extends React.Component {
  render() {

    return (
      <div className="MainSensor">

          <div className="MinSensor">
            <MinValue min={18}/>
          </div>
          <div className="MaxSensor">
            <MaxValue max={23}/>
          </div>
          <div className="DataSensor">
            <ActualData actual={22}/>
          </div>
          <div className="AverageSensor">
            <AverageTen avg={21}/>
          </div>
          <div className="HistorySensor">

              <History num={0}/>

          </div>
      </div>

    );
  }
}

class MainSensorsBoard extends React.Component {


  render() {
    const status = 'Sensor Display';

    return (
      <div>
        <div className="status">{status}</div>
        <div className="UrlInput">
          <UrlInput />
        </div>
        <div className="board-row">
          <MainSensor />
        </div>
        <div className="board-menu">
          <Menu />
        </div>
      </div>
    );
  }
}


// ========================================

ReactDOM.render(
  <MainSensorsBoard />,
  document.getElementById('root')
);
